Loading...
Searching...
No Matches
ON_ObjRef_IRefID Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_objref.h>`

## Public Member Functions

| ON_ObjRef_IRefID ()
| ~ON_ObjRef_IRefID ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Default ()

## Public Attributes

ON_UUID | m_iref_uuid
ON_Xform | m_iref_xform
ON_UUID | m_idef_uuid
int | m_idef_geometry_index
ON_Xform | m_geometry_xform
ON_COMPONENT_INDEX | m_component_index
ON_ObjRefEvaluationParameter | m_evp

## Detailed Description

Definition at line 100 of file opennurbs_objref.h.

## Constructor & Destructor Documentation

## ON_ObjRef_IRefID()

ON_ObjRef_IRefID::ON_ObjRef_IRefID | ( |  | ) |

## ~ON_ObjRef_IRefID()

ON_ObjRef_IRefID::~ON_ObjRef_IRefID | ( |  | ) |

## Member Function Documentation

## Default()

void ON_ObjRef_IRefID::Default | ( |  | ) |

## Read()

bool ON_ObjRef_IRefID::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_ObjRef_IRefID::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_component_index

ON_COMPONENT_INDEX ON_ObjRef_IRefID::m_component_index

Definition at line 146 of file opennurbs_objref.h.

## m_evp

ON_ObjRefEvaluationParameter ON_ObjRef_IRefID::m_evp

Definition at line 154 of file opennurbs_objref.h.

## m_geometry_xform

ON_Xform ON_ObjRef_IRefID::m_geometry_xform

Definition at line 137 of file opennurbs_objref.h.

## m_idef_geometry_index

int ON_ObjRef_IRefID::m_idef_geometry_index

Definition at line 128 of file opennurbs_objref.h.

## m_idef_uuid

ON_UUID ON_ObjRef_IRefID::m_idef_uuid

Definition at line 121 of file opennurbs_objref.h.

## m_iref_uuid

ON_UUID ON_ObjRef_IRefID::m_iref_uuid

Definition at line 113 of file opennurbs_objref.h.

## m_iref_xform

ON_Xform ON_ObjRef_IRefID::m_iref_xform

Definition at line 116 of file opennurbs_objref.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_objref.h